org.encog.neural.neat.training.opp

## Class NEATMutateRemoveLink

- java.lang.Object
- - org.encog.neural.neat.training.opp.NEATMutation
  - - org.encog.neural.neat.training.opp.NEATMutateRemoveLink

- All Implemented Interfaces:
    EvolutionaryOperator

      public class NEATMutateRemoveLink
      extends NEATMutation

  Mutate a genome by removing a random link. Do not remove links from genomes that have fewer than 5 links. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MIN_LINK` Do not remove from genomes that have fewer than this number of links.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NEATMutateRemoveLink()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `performOperation(Random rnd, Genome[] parents, int parentIndex, Genome[] offspring, int offspringIndex)` Perform the evolutionary operation.

    - ### Methods inherited from class org.encog.neural.neat.training.opp.NEATMutation

      `chooseRandomNeuron, createLink, getElementPos, getOwner, init, isDuplicateLink, isNeuronNeeded, obtainGenome, offspringProduced, parentsNeeded, removeNeuron`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MIN_LINK

          public static final int MIN_LINK

      Do not remove from genomes that have fewer than this number of links.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NEATMutateRemoveLink

          public NEATMutateRemoveLink()

  - ### Method Detail

    - #### performOperation

          public void performOperation(Random rnd,
                              Genome[] parents,
                              int parentIndex,
                              Genome[] offspring,
                              int offspringIndex)

      Perform the evolutionary operation.
      Parameters:
        `rnd` - A random number generator.
        `parents` - The parents.
        `parentIndex` - The index into the parents array.
        `offspring` - The offspring.
        `offspringIndex` - An index into the offspring array.

Copyright © 2014. All Rights Reserved.